:root{
    --main-color: rgb(140, 0, 255);
    --main-color-dark: rgb(113, 0, 206);
    --main-color-light: rgb(164, 53, 255);
}
*{
    margin: 0;
    padding: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}


body{
  background: url("/static/img/background.png") repeat -50px 0;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  min-height: 100vh;
}


.navbar {
  text-transform: capitalize;
  display: flex;
  justify-content: flex-start;
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background: var(--main-color);
}

.alt-nav-option {
  margin-left: auto;
}

.nav-option a {
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

.nav-option :hover{
  background: var(--main-color-dark);
}

.nav-option :active{
  background: var(--main-color-light);
}

footer {
  overflow: hidden;
  background: var(--main-color);
  color: white;
  margin-top: auto;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
}
.footer-bar > ul{
  margin-top: 1em;
  margin-bottom: 1em;
  list-style-type: none;
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.footer-bar > ul > li{
  text-align: center;
}

.content{
  margin: 2vh 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.duplex-content{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-around;
}
.duplex-content .card{
  width: 30vw;
}

.card {
  background-color: white;
  margin: 2vh 0;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 2vh;
  box-shadow:0 2px 5px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12);
  text-align: center;
  width: 50vw;
  padding-bottom: 1em;
}

.card img{
  width: 100%;
}
.card .centered-img{
  fill: var(--main-color);
  margin-top: 1em;
  width: 30%;
}
.card h2{
  width: 90%;
  text-align: center;
}

.card a {
  padding: .2em;
  border-radius: 4px;
  background-color: var(--main-color-dark);
  color: white;
  text-decoration: none;
}
.card svg{
  width: 100%;
  height: 100%;
  fill: var(--main-color);
}
.card svg path{
  width: 100%;
  height: 100%;
}
.card svg:hover{
  fill: var(--main-color-dark);
  box-shadow: -1px 2px 15px 5px rgba(0,0,0,0.16);
  border-radius: 50%;
  cursor: pointer;
}
form{
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
}
form > div{
  margin: 5% 0;
  display: flex;
  flex-direction: row;
  align-items: center; 
}
form > div > label {
  margin-right: auto;
}
form input:not([type="submit"]):focus{
  -moz-border-radius: 3px;
  border-radius: 3px;
  -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -moz-transition: border linear 0.2s, box-shadow linear 0.2s;
  transition: border linear 0.2s, box-shadow linear 0.2s;
}
form input[type="submit"]{
  background-color: var(--main-color);
  padding: 1em 0;
  color: white;
  border: 0;
  min-width: 20vw;
  box-shadow:0 2px 5px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12);
  cursor: pointer;
}
form input[type="submit"]:hover{
  background-color: var(--main-color-dark);
  box-shadow: -1px 2px 15px 5px rgba(0,0,0,0.16);
}
form input[type="submit"]:active{
  background-color: var(--main-color-light);
}
form button{
  background-color: var(--main-color);
  padding: 0 1rem;
  color: white;
  border: 0;
  font-size: 2.5rem;
  box-shadow:0 2px 5px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12);
  cursor: pointer;
}
.card > h1{
  padding-top: 1em;
  text-transform: uppercase;
  font-weight: 900;
}

.card-buttons{
  width: 25vw;
  display: flex;
  flex-direction: row;
  align-items: stretch;
  justify-content: space-around;
}
.card-button{
  background-color: var(--main-color);
  padding: 1em 0;
  color: white;
  border: 0;
  min-width: 30%;
  box-shadow:0 2px 5px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12);
  cursor: pointer;
}
button:hover{
  background-color: var(--main-color-dark);
  box-shadow: -1px 2px 15px 5px rgba(0,0,0,0.16);
}
button:active{
  background-color: var(--main-color-light);
}
.card-button-left{
  margin-left: auto;
}
.flashes{
  margin: 0% 0%;
  list-style-type: none;
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.card-action{
  z-index: 999;
  color: white;
  background-color: var(--main-color);
  border-radius: 50%;
  width: 30px;
  position: absolute;
  top: 0;
  right: 0;
  font-size: 30px;
  text-align: center;
  cursor: pointer;
}
.card-action:hover,
.card-action:focus{
  background-color: var(--main-color-dark);
}
.card-back{
  z-index: 999;
  color: white;
  background-color: var(--main-color);
  border-radius: 50%;
  width: 30px;
  position: absolute;
  top: 0;
  left: 0;
  font-size: 30px;
  text-align: center;
  cursor: pointer;
}
.card-back:hover,
.card-back:focus{
  background-color: var(--main-color-dark);
}
.card-img{
  overflow: hidden;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
}
.dual-img:first-child::after{
  content: " ";
  mask-image: url(http://127.0.0.1:5000/static/img/simple-plus-sign.svg);
  background-color: var(--main-color);
  fill: var(--main-color);
  width: 59.325px;
  height: 59.325px;
  position: absolute;
}
.card-img img{
  width: 100%;
  height: 100%;
}
.card-img h1{
  position: absolute;
  bottom: -0.2em;  
  background-color: rgba(116, 114, 114, 0.555);
  width: 100%;
}



/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  display: flex;
  align-items: stretch;
  background-color: #fefefe;
  margin: 10vh auto;
  padding: 20px;
  border: 1px solid var(--main-color);
  width: 80%;
}

.modal-content > div{
  display: flex;
  padding: 10px;
}

.modal-content > div > label{
  margin-right: auto;
}